library dyna_android;

import 'package:dyna_platform_interface/dyna_platform_interface.dart';
import 'package:dynamic_color/dynamic_color.dart';

/// The Android implementation of [DynaPlatform].
///
/// This implementation uses the dynamic_color package to obtain a color palette
/// based on the user's wallpaper on Android S+. On prior versions of Android,
/// it will return null.
class DynaAndroid implements DynaPlatform {
  @override
  Future<List<int>?> getColors() async {
    final palette = await DynamicColorPlugin.getCorePalette();
    return palette?.asList();
  }
}
